<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CheckExistingPassphrase
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        if (!$request->routeIs('user.*') && empty(Auth::user()->checkword)) {
            return redirect(route('user.first'));
        }

        if (!empty(Auth::user()->checkword) && $request->routeIs('user.first')) {
            return redirect(route('pages.index'));
        }

        return $next($request);
    }
}
